
{-----------------------------------------------------------------------------
 Unit Name: ResStrings
 Project Name : ODEinR2
 Author:    Angel Montesinos Amilibia
 January 2005
 Purpose: Strings used along the project
-----------------------------------------------------------------------------}
{

Superficies, workshop for the geometry of surfaces
Copyright (C) 2003-2005 Angel Montesinos Amilibia

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation,Inc.,
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

You can email me to:
     montesin@uv.es

Or write me to:
     Angel Montesinos
     Departamento de Geometria y Topologia
     Vicente Andrés Estellés, 1
     46100 Burjasot (Valencia)
     Spain

}




unit ResStrings;

{.$MODE Delphi}
{$mode objfpc}{$H+}

interface
  const
   cNewLine= #$D#$A;
resourcestring

{Main form}
  eDefaultTitle = 'Ecuaciones Diferenciales Ordinarias en R^2';
  eUntitled = 'Sin título';

{Items de menú}

  eFile = 'Archivo';
  eODEManual = 'Manual...';
  eExplicitFO = 'Explícita 1º Orden';
  eExplicitSO = 'Explícita 2º Orden';
  eImplicitFO = 'Implícita 1º Orden';
  eImplicitSO = 'Implícita 2º Orden';
  eHamilton = 'Ecuaciones de Hamilton';
  eLagrange = 'Ecuaciones de Lagrange';
  ePArcLenFO = 'Parametrizadas por Arco 1º Orden';
  ePArcLenSO = 'Parametrizadas por Arco 2º Orden';

  eMomentaNames = 'x,y: momentos de u,v';

  eOpen = 'Abrir...';
  eSave = 'Guardar';
  eSaveAs= 'Guardar como...';
  eSaveImages= 'Guardar Imágenes...';

  eExit = 'Salir';

  eEdit = 'Modificar';
  eCut = 'Cortar';
  eCopy = 'Copiar';
  ePaste= 'Pegar';

  eDropLastCurve2D= 'Eliminar última Curva 2D';
  eDropLastCurve3D= 'Eliminar última Curva 3D';
  eDropSolutionCurves = 'Eliminar Curvas Solución';
  eDeleteDiscriminant= 'Eliminar Discriminante';
  eDeleteAuxiliaryCurves = 'Eliminar Curvas Auxiliares';

  eView = 'Ver';
  eShowColorControls = 'Controles de Color';
  eParametricCurve = 'Añadir Curva Paramétrica';

  eColorPickers = 'Controles de Color';

  eEnter= 'Cargar';
  eDomOrBm = 'El dominio ha quedado vacío';
  eVelocities = ' velocidades';
  eAccelerations = ' aceleraciones';

{--------------------}

{Items in the Manual form}
  eManualTitle = 'ODEinR2';
  eVersion = 'Versión 2,  Agosto 22, 2018';
  ePurpose= 'Ecuaciones Diferenciales Ordinarias en R^2';
  eMyName = 'por Angel Montesinos';
  eAddress1= 'Universidad de Valencia, España';
  eAddress2= 'montesin@uv.es,   http://www.uv.es/montesin';

{Items in FGPicker.pas}
  eAmb  = 'Luz Ambiental';
  ePL = 'Foco puntual';
  eObverseColors= 'Colores Anverso';
  eReverseColors= 'Colores Reverso';
  eReverseRefl= 'Reflectividad Reverso';
  eObverseRefl= 'Reflectividad Anverso';
  eHues= 'Tonos de Color';
  eCurvesColor = 'Color de las curvas';
  eBackColor = 'Color de fondo';

{Items in ParametricCurve and ImplicitCurve forms}
  ePickColor = 'Color';
  eDrawIt = 'Dibujar';
  eTMinLessThanTMax = 'El mínimo de ''t'' debe ser menor que su máximo';
  ePleaseEnterODE = 'Debe cargar antes una EDO';

{En FImagesToSave.pas}
  eHamiltonian= 'Hamiltoniano = ';
  eLagrangian = 'Lagrangiano = ';
  eDominion = 'Dominio: ';
  eParameters = 'Parámetros:  ';
  eCancelledByUser= 'Cancelado por el usuario.';
  eOnlyForALFO= 'La superficie requiere EDO de Longitud de arco de primer orden';
  eImagesToSave= 'Guardar Imágenes';
  eSelectThings= 'Seleccionar las imágenes a guardar';
  eMarkImages = 'Marcar las imágenes';
  eCurves = 'Curvas';
  eSurface = 'Superficie';
  eBoth = 'Ambas';
  eTit= 'Título';
  eEpilog = 'Texto final';
  eInput = 'Datos básicos';
  eThisText = 'Éste: ';
  eValidar = 'Confirmar';


{Varios}
  eConfirm = 'Confirmar';
  eYes = 'Sí';
  eOK = 'OK';
  eCancel = 'Cancelar';
  eStop = 'Parar';
  eOpenFile= 'Abrir archivo';

  eODEinR2Filter ='Archivo ODEinR2 (*.2ed)|*.2ed|Todos los Archivos (*.*)|*.*';
  eSurfaceFailed= 'No se pudo dibujar la superficie';
  eUnknownSurfaceType = 'Tipo de fichero desconocido';
  eWantToSaveQ = '¿Desea guardar esta EDO?';
  eFileNotAssigned = 'Fichero sin asignar';
  eBadFileType = 'El fichero no fue creado con este programa';
  eErrorOnWritingFile = 'Error al escribir en el fichero';
  eErrorOnReadingFile = 'Error al leer el fichero';
  eVersionTooNew = 'Versión demasiado nueva';

  eUMinLessThanUMax = 'El mínimo de ''u'' debe ser menor que el máximo';
  eVMinLessThanVMax = 'El mínimo de ''v'' debe ser menor que el máximo';
  eWMaxPositive = 'El máximo de |w| debe ser positivo';
  eVelMaxPositive = 'El máximo de |vel| debe ser positivo';
  eAccelMaxPositive = 'El máximo de |accel| debe ser positivo';
  eSurpassedOrder = 'Fórmula de orden mayor que el permitido';


  eNoIntegralLine = 'Ese punto parece singular: no vale como punto inicial';

  eBadNumber = 'Hay un número mal escrito.';
  eBadCharacters = 'Hay un carácter no permitido.';
  eBadFunctionOrVariables = 'Hay una función mal escrita';
  eBadParentheses = 'Compruebe los paréntesis, por favor.';
  eSyntaxError = 'Hay un error de sintaxis en una fórmula.';
  eErrorInParsing = 'No se pudo analizar una función.';
  eExpressionTooLarge = 'La expresión es demasiado larga';
  eNothingWritten = 'Algún campo ha quedado vacío';
  eBadVar = 'Las variables permitidas en esta fórmula son: ';
  eBadParams = 'Un parámetro no se puede tratar como una variable';
  eNoIntegralsAllowed = 'No se permiten integrales';
  eDerivativesMissing = 'Una de las fórmulas no contiene derivadas';
  eBadPointEncountered=  'Encontrado un punto malo, probablemente singular';
  eBadOrder = 'La fórmula es de un orden mayor que el requerido';
  eBadConstant = 'Hay una constante vacía o mal escrita';
  eBadEquations = 'Las ecuaciones propuestas son inadecuadas para una EDO';

implementation

end.
