﻿(*

MIT License

Copyright (c) [2005 - 2018] [Angel Montesinos-Amilibia]

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

*)




unit ResStrings;

{.$MODE Delphi}
{$mode objfpc}{$H+}

interface
  const
   cNewLine= #$D#$A;
resourcestring

{Main form}
  eDefaultTitle = 'Ordinary Differential Equations in R^2';
  eUntitled = 'Untitled';

{Items de menú}

  eFile = 'File';
  eODEManual = 'Manual...';
  eExplicitFO = 'Explicit First Order';
  eExplicitSO = 'Explicit 2nd Order';
  eImplicitFO = 'Implicit First Orden';
  eImplicitSO = 'Implicit 2nd Order';
  eHamilton = 'Hamilton Equations';
  eLagrange = 'Lagrange Equations';
  ePArcLenFO = 'Arc-Length First Order';
  ePArcLenSO = 'Arc-Length 2nd Order';

  eMomentaNames = 'x,y: momenta of u,v';

  eOpen = 'Open...';
  eSave = 'Save';
  eSaveAs= 'Save as...';
  eSaveImages= 'Save Images...';

  eExit = 'Exit';

  eEdit = 'Edit';
  eCut = 'Cut';
  eCopy = '&Copy';
  ePaste= '&Paste';

  eDropLastCurve2D= 'Drop Last Curve 2D';
  eDropLastCurve3D= 'Drop Last Curve 3D';
  eDropSolutionCurves = 'Delete Solution Curves';
  eDeleteDiscriminant= 'Delete Discriminant';
  eDeleteAuxiliaryCurves = 'Delete Auxiliary Curves';

  eView = 'View';
  eShowColorControls = 'Color Controls';
  eAddParametricCurve = 'Add Parametric Curve';

  eColorPickers = 'Color Controls';

  eEnter= 'Enter';
  eDomOrBm = 'Dominion has become empty';
  eVelocities = ' velocities';
  eAccelerations = ' accelerations';

{--------------------}

{Items in the About Superficies form}
  eManualTitle = 'ODEinR2';
  eVersion = 'Version 2,  August 22, 2018';
  ePurpose= 'Ordinary Differential Equations in R^2';
  eMyName = 'by Angel Montesinos';
  eAddress1= 'Universidad de Valencia, Spain';
  eAddress2= 'montesin@uv.es,   http://www.uv.es/montesin';

  {Items in FGPicker.pas}
    eAmb  = 'Ambient light';
    ePL = 'Point-like light source';
    eObverseColors= 'Obverse Colors';
    eReverseColors= 'Reverse Colors';
    eReverseRefl= 'Reverse Reflectivity';
    eObverseRefl= 'Obverse Reflectivity';
    eHues= 'Color Hues';
    eCurvesColor = 'Curves Color';
    eBackColor = 'Background Color';


{Items in ParametricCurve and ImplicitCurve forms}
  eParametricCurve = 'Parametric Curve';
  ePickColor = 'Color';
  eDrawIt = 'Draw It';
  eTMinLessThanTMax = 'The minimum of ''t'' must be less than its maximum';
  ePleaseEnterODE = 'You must enter an ODE first';

{In FImagesToSave.pas}
  eConfigureImagesToSave= 'Configure saving images';
  eHamiltonian= 'Hamiltonian = ';
  eLagrangian = 'Lagrangian = ';
  eDominion = 'Dominion: ';
  eParameters = 'Parameters:  ';
  eCancelledByUser= 'Cancelled by user';
  eOnlyForALFO= 'Saving surface only allowed for Arc-Len First Order ODEs';
  eImagesToSave= 'Save Images';
  eSelectThings= '        Select things to save';
  eMarkImages = '   Mark images to save';
  eCurves = 'Curves';
  eSurface = 'Surface';
  eBoth = 'Both';
  eTit= 'Title';
  eEpilog = 'Final text';
  eInput = 'Input data';
  eThisText = 'This one: ';
  eValidar = 'OK';

{Miscellaneous}
  eConfirm = 'Confirm';
  eYes = 'Yes';
  eOK = 'OK';
  eCancel = 'Cancel';
  eStop = 'Stop';
  eOpenFile= 'Open file';

  eODEinR2Filter ='ODEinR2 File (*.2ed)|*.2ed|All files(*.*)|*.*';
  eSurfaceFailed= 'Could not draw the surface';
  eUnknownSurfaceType = 'Unknown file type';
  eWantToSaveQ = 'Do you want to save the surface?';
  eFileNotAssigned = 'File not assigned';
  eBadFileType = 'The file was not created by this program';
  eErrorOnWritingFile = 'Error when writing on file';
  eErrorOnReadingFile = 'Error when reading from file';
  eVersionTooNew = 'Version too new';

  eUMinLessThanUMax = 'The minimum of ''u'' must be less than its maximum';
  eVMinLessThanVMax = 'The minimum of ''v'' must be less than its maximum';
  eWMaxPositive = 'The maximum of |w| must be positive';
  eVelMaxPositive = 'The maximum of |vel| must be positive';
  eAccelMaxPositive = 'The maximum of |accel| must be positive';
  eSurpassedOrder = 'Formula with order greater than allowed';

  eNoIntegralLine = 'That point is probably singular: no good as starting point';

  eBadNumber = 'A number is miswritten.';
  eBadCharacters = 'You have used an illegal character.';
  eBadFunctionOrVariables = 'You mispelled a function or variable';
  eBadParentheses = 'Check the parentheses, please.';
  eTooMuchConstants = 'I cannot digest that much constants.';
  eSyntaxError = 'There is a syntax fault in the formula.';
  eErrorInParsing = 'I did fail in analysing the function.';
  eExpressionTooLarge = 'The expression is too long.';
  eNothingWritten = 'Some field may be empty';
  eBadVar = 'The allowed variables in this formula are: ';
  eBadVarSet = 'The allowed variables must be in the range ''p'' to ''z''.';
  eBadParams = 'A parameter cannot be treated as a variable';
  eNoIntegralsAllowed = 'Integrals are not allowed';
  eNoUVprimes= 'In the formula for the tangent length cannot appear u'', etc';
  eDerivativesMissing = 'One of the formulas doesn''t contain derivatives';
  eBadPointEncountered=  'Bad point encountered';
  eBadOrder = 'The formula is not of the required order';
  eBadConstant = 'A constant is empty or miswritten';
  eBadEquations = 'Input formula (formulas) do not gives (give) a well posed ODE';

implementation

end.
