(*

MIT License

Copyright (c) [2005 - 2018] [Angel Montesinos-Amilibia]

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

*)

unit Utilities;

{.$MODE Delphi}
{$mode objfpc}{$H+}

interface

uses
  Graphics, LCLIntf, LCLType;

type
  ByteArray= array of Byte;


function ExtracTitle(pathAndName, filter: AnsiString): AnsiString;
function FormatFloatString(x: Double; totalStrLength: Integer): string;


implementation

uses
  SysUtils;

const
  cReturn = char(13);
  cLineFeed = char(10);
  cEscape = char(27);
  cNewLine= #$D#$A;
  cTab = char($09);
  cDot = '.';



function ExtracTitle(pathAndName, filter: AnsiString): AnsiString;
{suppress from 'pathname' the extension '.'+filter  if that is the case}
var
  ext: AnsiString;
  len: Integer;
begin
  result := ExtractFilename(pathAndName);
  len := Length(result);
  if len > 4 then begin
    ext := lowerCase(Copy(result, len - 3, 4));
    if ext = '.'+ filter then
      result := Copy(result, 1, len - 4);
  end;
end;


function FormatFloatString(x: Double; totalStrLength: Integer): string;
{format a string representing an Double with a total of 'totalStrLength'
 characters}
  var
    sigDig: Integer;
begin
  result:= FloatToStrF(x, ffFixed, totalStrLength+2,15);
  sigDig:= Length(result);
  if sigDig > totalStrLength  then
    sigDig:= totalStrLength;
  result:= Copy(result,1,sigDig);
end;


end.


